/// <reference types="express" />
import { Response } from '@loopback/rest';
import { ILogger } from '@sourceloop/core';
import { AuthCodeGeneratorFn } from '../../../providers';
import { AuthClientRepository } from '../../../repositories';
import { AuthUser, ClientAuthRequest } from '../models';
export declare class Auth0LoginController {
    authClientRepository: AuthClientRepository;
    logger: ILogger;
    private readonly getAuthCode;
    constructor(authClientRepository: AuthClientRepository, logger: ILogger, getAuthCode: AuthCodeGeneratorFn);
    loginViaAuth0(clientId?: string, clientSecret?: string): Promise<void>;
    postLoginViaAuth0(clientCreds?: ClientAuthRequest): Promise<void>;
    auth0Callback(code: string, state: string, response: Response, user: AuthUser | undefined): Promise<void>;
}
