/// <reference types="express" />
/// <reference types="cookie-parser" />
import { AnyObject } from '@loopback/repository';
import { Request, Response } from '@loopback/rest';
import { ILogger } from '@sourceloop/core';
import { AuthCodeGeneratorFn } from '../../../providers';
import { AuthClientRepository } from '../../../repositories';
import { AuthUser, ClientAuthRequest } from '../models';
export declare class SamlLoginController {
    authClientRepository: AuthClientRepository;
    logger: ILogger;
    private readonly getAuthCode;
    constructor(authClientRepository: AuthClientRepository, logger: ILogger, getAuthCode: AuthCodeGeneratorFn);
    postLoginViaSaml(clientCreds?: ClientAuthRequest): Promise<void>;
    oktaSamlCallback(user: AuthUser | undefined, request: Request, clientId: string, response: Response, oktaData: AnyObject): Promise<void>;
}
