"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PasswordHashingProvider = void 0;
const tslib_1 = require("tslib");
const bcrypt = tslib_1.__importStar(require("bcrypt"));
const saltRounds = 10;
class PasswordHashingProvider {
    value() {
        return async (password, key) => {
            const hashedPassword = bcrypt.hash(password !== null && password !== void 0 ? password : process.env.USER_TEMP_PASSWORD, saltRounds);
            return hashedPassword;
        };
    }
}
exports.PasswordHashingProvider = PasswordHashingProvider;
//# sourceMappingURL=password-hashing.provider.js.map