import { Getter } from '@loopback/core';
import { BelongsToAccessor } from '@loopback/repository';
import { SequelizeDataSource } from '@loopback/sequelize';
import { SequelizeSoftCrudRepository } from 'loopback4-soft-delete/sequelize';
import { Tenant, TenantConfig } from '../../models';
import { TenantRepository } from '../tenant.repository';
export declare class TenantConfigRepository extends SequelizeSoftCrudRepository<TenantConfig, typeof TenantConfig.prototype.id, {}> {
    protected tenantRepositoryGetter: Getter<TenantRepository>;
    readonly tenant: BelongsToAccessor<Tenant, typeof TenantConfig.prototype.id>;
    constructor(dataSource: SequelizeDataSource, tenantRepositoryGetter: Getter<TenantRepository>);
}
